Bug 850824 - authconfig needs to be updated to reflect the samba idmap changes since Samba 3.6
authconfig needs to be updated to reflect the samba idmap changes since Samba...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: authconfig (Show other bugs)
5.9
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Tomas Mraz
BaseOS QE - Apps
:
Depends On:
Blocks: 921048
  Show dependency treegraph
 
Reported: 2012-08-22 09:38 EDT by Andreas Schneider
Modified: 2013-10-31 06:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 862195 (view as bug list)
Environment:
Last Closed: 2013-10-31 06:29:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Schneider 2012-08-22 09:38:23 EDT
Description of problem:

In Samba 3.6 the id mapping configuration has been changed and simplified. See the release notes:

https://www.samba.org/samba/history/samba-3.6.0.html

and the smb.conf and idmap manpages.

Example:
        workgroup = LEVEL1
        realm = LEVEL1.DISCWORLD.SITE
        security = ads

        # v3.6 common id range
        passdb backend = tdbsam
        idmap config * : range = 1000000-1999999

        # Winbind domain idmap
        idmap config LEVEL1 : backend = rid
        idmap config LEVEL1 : range = 100000000-199999999
Comment 7 RHEL Product and Program Management 2012-10-24 13:09:03 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 8 RHEL Product and Program Management 2013-05-01 03:16:24 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 9 Tomas Mraz 2013-10-31 06:29:21 EDT
This Bugzilla has been reviewed by Red Hat and is not planned on being
addressed in Red Hat Enterprise Linux 5, and therefore will be closed.
If this bug is critical to production systems, please contact your Red
Hat support representative and provide sufficient business
justification. Issue is already fixed in RHEL-6/7.

Note You need to log in before you can comment on or make changes to this bug.